> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get musics



## OpenAPI

````yaml get /api/musics/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/musics/:
    get:
      tags:
        - musics
      summary: Get a list of musics with filtering options
      operationId: musics_list
      parameters:
        - in: query
          name: category
          schema:
            type: string
          description: Filter musics by category
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number
        - in: query
          name: page_size
          schema:
            type: integer
            default: 10
          description: Number of items per page
        - in: query
          name: search
          schema:
            type: string
          description: Search musics by name or category
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MusicsList'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    MusicsList:
      type: object
      properties:
        page:
          type: integer
          default: 1
        page_size:
          type: integer
          default: 10
        count:
          type: integer
          readOnly: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/MusicListItem'
          readOnly: true
      required:
        - count
        - results
    MusicListItem:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        category:
          type: array
          items:
            type: string
          readOnly: true
        cover_url:
          type: string
          format: uri
          readOnly: true
        duration:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        url:
          type: string
          format: uri
          readOnly: true
        is_favorite:
          type: string
          readOnly: true
      required:
        - category
        - cover_url
        - duration
        - id
        - is_favorite
        - name
        - url
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````